## org.hibernate.internal.util.jndi
Class JndiHelper

    java.lang.Object
      org.hibernate.internal.util.jndi.JndiHelper

Deprecated. As JNDI access should get routed through `JndiService`

    @Deprecated
    public final class JndiHelper

extends Object

Helper for dealing with JNDI.

Method Summary
`static void` `bind(Context ctx, String name, Object val)` Deprecated. Bind val to name in ctx, and make sure that all intermediate contexts exist.
`static Properties` `extractJndiProperties(Map configurationValues)` Deprecated. Given a hodgepodge of properties, extract out the ones relevant for JNDI interaction.
`static InitialContext` `getInitialContext(Properties props)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### extractJndiProperties

    public static Properties extractJndiProperties(Map configurationValues)

  Deprecated.
  Given a hodgepodge of properties, extract out the ones relevant for JNDI interaction.

  Parameters:
    `configurationValues` - The map of config values
  Returns:
    The extracted JNDI specific properties.

### getInitialContext

    public static InitialContext getInitialContext(Properties props)
                                            throws NamingException

  Deprecated.
  Throws:
    `NamingException`

### bind

    public static void bind(Context ctx,
                            String name,
                            Object val)
                     throws NamingException

  Deprecated.
  Bind val to name in ctx, and make sure that all intermediate contexts exist.

  Parameters:
    `ctx` - the root context
    `name` - the name as a string
    `val` - the object to be bound
  Throws:
    `NamingException` - Indicates a problem performing the bind.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.